---
features:
  secondary:
  - name: "User impersonation audit events for groups"
    available_in: [premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/administration/audit_events.html#group-events'
    reporter: stkerr
    stage: manage
    categories:
    - Audit Events
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/300961'
    description: |
      GitLab now provides audit events on the group audit events page for
      [user impersonation](https://docs.gitlab.com/ee/user/admin_area/#user-impersonation) starting and stopping. This was previously
      only available on the audit events page in the Admin Area, which is unavailable to GitLab SaaS customers. We are excited to bring
      it to the group page which allows both self-managed and SaaS users to view these events!
      
      These events are helpful to understand if an administrator impersonated a user in your group and any actions that the
      administrator took as the impersonated user. You can correlate:

      - Any actions a user took.
      - When impersonation was happening.

      This can help you understand if it was actually the user performing certain actions or an administrator impersonating them. The
      absence of impersonation events in the audit log is also a way to be confident that a given user actually performed given
      actions, rather than someone impersonating them.
